Last Comment Bug 753313 - Some divs and spans are created dynamically in debugger-view
: Some divs and spans are created dynamically in debugger-view
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: 12 Branch
: All All
P2 normal (vote)
: Firefox 15
Assigned To: Victor Porof [:vporof][:vp]
:
: Jason Laster [:jlast]
Mentors:
: 722317 (view as bug list)
Depends on: 753651
Blocks: minotaur 722317 752834
  Show dependency treegraph
 
Reported: 2012-05-09 07:14 PDT by Victor Porof [:vporof][:vp]
Modified: 2012-05-26 10:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (33.64 KB, patch)
2012-05-10 10:48 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review
v2 (34.62 KB, patch)
2012-05-10 11:07 PDT, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review
v3 (35.90 KB, patch)
2012-05-10 11:53 PDT, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review
v3.1 (36.18 KB, patch)
2012-05-20 13:50 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review

Description User image Victor Porof [:vporof][:vp] 2012-05-09 07:14:40 PDT
That's bad.
Comment 1 User image Victor Porof [:vporof][:vp] 2012-05-10 10:00:55 PDT
*** Bug 722317 has been marked as a duplicate of this bug. ***
Comment 2 User image Victor Porof [:vporof][:vp] 2012-05-10 10:07:31 PDT
THIS IS HARD.
Comment 3 User image Victor Porof [:vporof][:vp] 2012-05-10 10:48:28 PDT
Created attachment 622784 [details] [diff] [review]
v1

I'm sorry.
Comment 4 User image Victor Porof [:vporof][:vp] 2012-05-10 11:07:27 PDT
Created attachment 622797 [details] [diff] [review]
v2

Rebased already.
Comment 5 User image Rob Campbell [:rc] (:robcee) 2012-05-10 11:48:42 PDT
quit it!
Comment 6 User image Victor Porof [:vporof][:vp] 2012-05-10 11:53:31 PDT
Created attachment 622822 [details] [diff] [review]
v3

Fixed invalid css we discussed about.
You knew this was going to happen.
Comment 7 User image Rob Campbell [:rc] (:robcee) 2012-05-10 12:21:10 PDT
Comment on attachment 622797 [details] [diff] [review]
v2

in debugger-view.js

-    item.className = "empty list-item";
+    item.className = "list-item empty";

quibble: why the reordering?

looks good. See? That wasn't so hard!
Comment 8 User image Victor Porof [:vporof][:vp] 2012-05-10 22:06:30 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #7)
> Comment on attachment 622797 [details] [diff] [review]
> v2
> 
> in debugger-view.js
> 
> -    item.className = "empty list-item";
> +    item.className = "list-item empty";
> 
> quibble: why the reordering?
> 

Just consistency, we always use .major-selector .detail in debugger view. Doesn't affect UI.

> looks good. See? That wasn't so hard!

This should've been much easier.
Don't get me started on how .value is totally different for buttons, labels, and with virtually every XUL widget, plus how set/getAttribute("value") doesn't work as you would expect. I like XUL it's nice.
Comment 9 User image Panos Astithas [:past] 2012-05-11 00:14:13 PDT
(In reply to Victor Porof from comment #8)
> This should've been much easier.
> Don't get me started on how .value is totally different for buttons, labels,
> and with virtually every XUL widget, plus how set/getAttribute("value")
> doesn't work as you would expect. I like XUL it's nice.

I so loooooove that part of XUL...
Comment 10 User image Rob Campbell [:rc] (:robcee) 2012-05-11 10:03:17 PDT
it's like I've stumbled into a thread on mozillazine.
Comment 11 User image Rob Campbell [:rc] (:robcee) 2012-05-11 10:05:04 PDT
sorry. spamming whiteboard comments now.
Comment 12 User image Victor Porof [:vporof][:vp] 2012-05-11 10:06:31 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #11)
> sorry. spamming whiteboard comments now.

This won't be ready to land for a while.
Comment 13 User image Victor Porof [:vporof][:vp] 2012-05-20 13:50:52 PDT
Created attachment 625516 [details] [diff] [review]
v3.1

Rebased.
Comment 14 User image Panos Astithas [:past] 2012-05-24 06:11:00 PDT
https://hg.mozilla.org/integration/fx-team/rev/c66729ab079f
Comment 15 User image Rob Campbell [:rc] (:robcee) 2012-05-26 10:22:46 PDT
https://hg.mozilla.org/mozilla-central/rev/c66729ab079f

Note You need to log in before you can comment on or make changes to this bug.